Aliases
All operations require authentication.
List aliasesProduction
Returns the aliases of the platform with their target. Filter them by alias, aliasTargetId, aliasOrganizationId or aliasOrganizationLabel.
Path parameters
Platform ID
Query parameters
Filter by the alias email
Filter by organization identifier of the aliases
Filter by organization label of the aliases
Filter by the targeted email account identifier
Headers
Pagination cursor
Pagination size
Response
Checksum hash in MD5 representation
Object representing Alias
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing Alias
Example uses platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ alias \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "currentState": { "alias": { "domainId": "00000000-0000-0000-0000-000000000000", "name": "string", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string" }, "target": { "domainId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "type": "ACCOUNT" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "alias": "string", "targetId": "00000000-0000-0000-0000-000000000000" } }]
Get an aliasProduction
Returns the alias address, its domain and organization, and its target: an email account or a mailing list.
Path parameters
Alias ID
Platform ID
Response
Checksum hash in MD5 representation
Object representing Alias
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing Alias
Example uses aliasId = 00000000-0000-0000-0000-000000000000, platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ alias/ {aliasId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "alias": { "domainId": "00000000-0000-0000-0000-000000000000", "name": "string", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string" }, "target": { "domainId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "type": "ACCOUNT" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "alias": "string", "targetId": "00000000-0000-0000-0000-000000000000" }}
Create an aliasProduction
Creates an alias address from alias and the ID of its target in targetId. The alias domain and the target domain must be in the same organization.
Path parameters
Platform ID
Request body (required)
Target alias specification
Response
Checksum hash in MD5 representation
Object representing Alias
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGObject representing Alias
Example uses platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ alias \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "alias": { "domainId": "00000000-0000-0000-0000-000000000000", "name": "string", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string" }, "target": { "domainId": "00000000-0000-0000-0000-000000000000", "id": "00000000-0000-0000-0000-000000000000", "type": "ACCOUNT" } }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "alias": "string", "targetId": "00000000-0000-0000-0000-000000000000" }}
Delete an aliasProduction
Deletes the alias address. The alias, its domain and its target must be ready.
Path parameters
Alias ID
Platform ID
Response
Example uses aliasId = 00000000-0000-0000-0000-000000000000, platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ alias/ {aliasId} \
-H "authorization: Bearer $OVH_TOKEN"